@import "~bootstrap-select/sass/bootstrap-select";
@import "~blueimp-file-upload/css/jquery.fileupload.css";
@import '~pace-progress/themes/blue/pace-theme-flash.css';
@import '~@fancyapps/fancybox/dist/jquery.fancybox.css';
@import '~@fortawesome/fontawesome-free/css/all.min.css';
@import "~@coreui/coreui-pro/scss/themes/dark/coreui-dark";

@import "./libs/datatables.css";
@import "./libs/jquery-filestyle.css";

* {
    outline: none!important;
}

.input-group .bootstrap-select.form-control .dropdown-toggle {
    color: #e4e7ea;
    background-color: #515b65;
    background-clip: padding-box;
    border: 1px solid #23282c;
}

.dropdown-menu.open{
    max-height: 314px !important;
    overflow: hidden;
}
.dropdown-menu.inner{
    max-height: 260px !important;
    overflow-y: auto;
}

.page-header {
    background: rgb(20, 20, 20);
    padding: 20px 30px;
    margin-bottom: 30px;

    i {
        margin-right: 15px;
        margin-top: 5px;
        font-size: 16px;
    }

    .title {
        margin: 0;
        padding: 0;
    }
}

.page-header + .container-fluid {
    margin-bottom: 30px;
}

table {
    width: 100%;

    tr, th {
        @media all and (max-width: 1024px) {
            font-size: 10px;
        }
    }
}


.form-check.is-invalid ~ .invalid-feedback,
.form-check.is-invalid ~ .invalid-tooltip {
    display: block;
}

.pace .pace-activity {
    width: 30px;
    height: 30px;
    border-radius: 15px;
    top: 75px;
}

.text-overlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.5);
    opacity: 1;
    transition: all .1s;
    color: #fff;
    font-size: 14px;
    text-align: center;
    padding: 15px;
    font-weight: bold;

    &:hover{
        opacity: 0;

    }
}

.socials {
    padding-left: 30px;
}
.socials a, .socials a:hover, .socials a:active, .socials a:focus {
    text-decoration: none!important;
}
.socials img {
    width: 30px;
    object-fit: contain;
    padding: 5px;
    height: 30px;
}
.member-custom-title {
    color: #bd8b54;
}
.header-custom {
    background: #141414;
    color: #bd8b54;
}
.footer-custom {
    background: #2e2e2e;
    color: #bd8b54;


}
.main-custom {
    background: #2e2e2e;
    color: #bd8b54;

}
.icon-custom {
    color: #bd8b54;

}
.text-custom-lg {
    color: #c2b2a1;
    font-size: 35px;
}
.card-custom-text{
    color: #bd8b54;
    font-size: 12px;
}

.card-custom-balance {
    text-align: center;
    background: #141414;
    border: 2px solid #bc8a54;
    border-radius: 30px;

}

.card-custom-deposits {
    text-align: center;
    background: #141414;
    border: 2px solid #bb8954;
    border-radius: 30px;
}

.card-custom-earnings {
    text-align: center;
    background: #141414;
    border: 2px solid #bb8954;
    border-radius: 30px;
}

.card-custom-withdrawals {
    text-align: center;
    background: #141414;
    border: 2px solid #bb8954;
    border-radius: 30px;
}
.chart-header{
   background: #141414;
}
.chart-header-text{
    color: #9d7c53;
}
.chart-body{
    background: #1f1f1f;
}
.card-body-custom{
    background: #414545;

    }

.sidebar-custom{

    background: #141414;
    flex: 0 0 auto;
    padding: 0.75rem 1rem;
    text-align: center;
    box-sizing: border-box;
    color: #c2b2a1;
    font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, "Helvetica Neue", Arial, "Noto Sans", sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji";
    font-size: 0.875rem;
    font-weight: 400;
    line-height: 1.5;

}
.sidebar-nav-custom{
    background: #2e2e2e;

}


.osdownload {
    padding-left: 30px;
}
.osdownload a, .osdownload a:hover, .osdownload a:active, .osdownload a:focus {
    text-decoration: none!important;
}
.osdownload img {
    width: auto;
    object-fit: contain;
    padding: 10px;
    height: 65px;
}
#convert-amount, #convert-from, #convert-to {
  width: 100px;
  margin-right: 5px;
}
#convert-to  {
  margin-left: 5px;
}
.change-block {
  display: contents;
}
@media only screen and (max-width: 991px) {
  #convert-amount, #convert-from, #convert-to {
    width: 80px;
  }
  .change-block {
    display: flex;
    position: absolute;
    top: 65px;
    justify-content: center;
    align-items: center;
    text-align: center;
    width: 100%;
  }
  .app-header {
    height: 110px;
  }
  .app-header .navbar-toggler {
    margin-top: -55px;
  }
  .app-header .navbar-nav.ml-auto {
    margin-top: -30px;
  }
  .app-body {
    margin-top: 5px;
  }
  .sidebar-custom .img-avatar {
    height: 50px;
    margin-top: 100px;
  }
  .col-sm-2.fancybox.border-primary {
    margin-right: 0!important;
    margin-bottom: 15px!important;
  }
  table.dataTable thead > tr > th.sorting_asc, table.dataTable thead > tr > th.sorting_desc, table.dataTable thead > tr > th.sorting, table.dataTable thead > tr > td.sorting_asc, table.dataTable thead > tr > td.sorting_desc, table.dataTable thead > tr > td.sorting {
    padding-right: unset;
  }
}
@media only screen and (max-width: 500px) {
  .chart-header-text {
    margin-right: 60px;
  }
  .change-block {
    display: none;
  }
  .app-header {
    height: 55px;
  }
  .app-header .navbar-toggler {
    margin-top: 0;
  }
  .app-header .navbar-nav.ml-auto {
    margin-top: 0;
  }
  .footer-fixed .app-footer {
    height: 80px;
    display: block;
    text-align: center;
    align-items: center;
    padding: 5px;
  }
  .sidebar {
    height: calc(100vh - 80px);
  }
}
